/*
**		Copyright (C) Roman Ukhov 2000
**		e-mail: r_ukhov@yahoo.com
**		http://rukhov.newmail.ru
*/

#if !defined(_IP_ADDR_HPP_INCLUDED_)
#define _IP_ADDR_HPP_INCLUDED_

namespace network
{
	class ip_addr : public sockaddr
	{
	public:
		ip_addr(
			unsigned char b1 = 0, 
			unsigned char b2 = 0, 
			unsigned char b3 = 0, 
			unsigned char b4 = 0, 
			unsigned short port = 0);
		ip_addr(const std::string& _str_addr);
		~ip_addr(){}

		operator const std::string(){
			return to_string();
		}
		operator sockaddr*(){return this;}
		operator sockaddr_in*(){return (sockaddr_in*)this;}
	private:
		const std::string to_string() const;
	};

}

#endif //_IP_ADDR_HPP_INCLUDED_
